
using System;
using System.Collections.Generic;

namespace PrintBarCode.Helper
{
    /// <summary>
    /// 系统配置
    /// </summary>
    public sealed class DebugConfig
    {
        private static IniHelper iniHelper = new IniHelper(System.Environment.CurrentDirectory + "/config/App.InI");


        private static readonly Lazy<DebugConfig> lazy = new Lazy<DebugConfig>(() => new DebugConfig());
        public static DebugConfig Instance
        {
            get
            {
                return lazy.Value;
            }
        }

        public DebugConfig()
        {

        }


        /// <summary>
        //打印机名称
        /// </summary>
        public string PrintName
        {
            get { return iniHelper.IniReadValue("system", "PrintName"); }
            set { iniHelper.IniWriteValue("system", "PrintName", value); }
        }


        /// <summary>
        //所在电脑IP
        /// </summary>
        public string IP
        {
            get { return iniHelper.IniReadValue("system", "IP"); }
            set { iniHelper.IniWriteValue("system", "IP", value); }
        }



        /// <summary>
        //是否打印空白页,1打印，0不打印
        /// </summary>
        public string BlankFlag
        {
            get { return iniHelper.IniReadValue("system", "BlankFlag"); }
            set { iniHelper.IniWriteValue("system", "BlankFlag", value); }
        }



    }
}
